local GetCommonShopInfoMessage = BaseClass("GetCommonShopInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self, shopType)
  base.OnCreate(self)
  self.sfsObj:PutInt("type", shopType)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.CommonShopManager:UpdateOneShopInfo(t)
  end
end
GetCommonShopInfoMessage.OnCreate = OnCreate
GetCommonShopInfoMessage.HandleMessage = HandleMessage
return GetCommonShopInfoMessage
